/*************************************************************
 * By: Coralys Cubero Rivera
 * Date: 2019
 *************************************************************/

package uprrp.tania;


public class GenerateQuestionnair {

    private String id_subquestionnair;
    private String description;
    private String max_text;
    private String min_text;
    private int cantidad_preguntas;
    private String id_type;
    private String premise;
    private int max_val;
    private String id_question;

    public GenerateQuestionnair(String id_subquestionnair, String description, int amount_of_questions, String type_of_question, String question_premise, int max_value_answer, String max_text, String min_text, String question_id)
    {
        this.id_subquestionnair = id_subquestionnair;
        this.description = description;
        this.cantidad_preguntas = amount_of_questions;
        this.id_type = type_of_question;
        this.premise = question_premise;
        this.max_val = max_value_answer;
        this.max_text = max_text;
        this.min_text = min_text;
        this.id_question = question_id;
    }

    public void setId_questionnair(String id_subquestionnair){
        this.id_subquestionnair = id_subquestionnair;
    }

    String getDescription()
    {
        return this.description;
    }

    public void setDescription(String description){
        this.description = description;
    }

    String getId_subquestionnair()
    {
        return this.id_subquestionnair;
    }


    public void setAmount_of_questions(int amount_of_questions){
        this.cantidad_preguntas = amount_of_questions;
    }

    int getAmount_of_questions()
    {
        return this.cantidad_preguntas;
    }

    public void setType_of_question(String type_of_question)
    {
        this.id_type = type_of_question;
    }

    public String getType_of_question()
    {
        return this.id_type;
    }

    public void setQuestion_premise(String question_premise)
    {
        this.premise = question_premise;
    }

    public String getQuestion_premise()
    {
        return this.premise;
    }

    public void setMax_value_answer(int max_value_answer)
    {
        this.max_val = max_value_answer;
    }

    public int getMax_value_answer()
    {
        return this.max_val;
    }

    public void setMax_text(String max_text)
    {
        this.max_text = max_text;
    }

    public String getMax_text()
    {
        return this.max_text;
    }

    public void setMin_text(String min_text)
    {
        this.min_text = min_text;
    }

    public String getMin_text()
    {
        return min_text;
    }

    public void setQuestion_id(String question_id)
    {
        this.id_question = question_id;
    }

    public String getQuestion_id()
    {
        return this.id_question;
    }

}
